> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Requests

> List all authenticated requests. Note that requests which fail to match a valid path are not included in these statistics.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/requests/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/requests/:
    get:
      tags:
        - api
      description: >-
        List all authenticated requests. Note that requests which fail to match
        a valid path are not included in these statistics.
      operationId: api_v1_custom_org_reports_requests_list
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: user
          schema:
            type: string
          description: Filter requests by user UUID.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomizationApiRequestLogList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedCustomizationApiRequestLogList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomizationApiRequestLog'
    CustomizationApiRequestLog:
      type: object
      properties:
        created:
          type: string
          format: date-time
          readOnly: true
        method:
          type: string
          maxLength: 10
        full_url:
          type: string
          maxLength: 255
        url_route:
          type: string
          nullable: true
          maxLength: 255
        status_code:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        user:
          $ref: '#/components/schemas/CustomizationRequestingUser'
      required:
        - created
        - full_url
        - method
        - status_code
        - user
    CustomizationRequestingUser:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
      required:
        - uuid
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````